#pragma once

#include <map>
#include <memory>
#include <string>

#include <RobotAPI/libraries/armem/core/Time.h>


namespace armarx::aron::datanavigator
{
    using DictNavigatorPtr = std::shared_ptr<class DictNavigator>;
}

namespace armarx::armem::server::robot_state
{

    struct RobotUnitData
    {
        struct RobotUnitDataGroup
        {
            armem::Time timestamp;
            std::string name;
            aron::datanavigator::DictNavigatorPtr data;
        };

        std::map<std::string, RobotUnitDataGroup> groups;
    };

}

