#include "MemoryQueryProcessor.h"


namespace armarx::armem::wm::query_proc
{

    MemoryQueryProcessor::MemoryQueryProcessor(DataMode dataMode) :
        Base(dataMode), coreSegmentProcessor(dataMode)
    {}


    MemoryQueryProcessor::~MemoryQueryProcessor()
    {
    }


    CoreSegment MemoryQueryProcessor::coreSegmentProcessorProcess(const armem::query::data::CoreSegmentQuerySeq& q, const CoreSegment& s) const
    {
        return coreSegmentProcessor.process(q, s, {armem::query::data::QueryTarget::WM});
    }

}
