#pragma once

#include <string>

#include <RobotAPI/libraries/aron/core/navigator/data/container/Dict.h>
#include <RobotAPI/libraries/aron/core/navigator/data/container/List.h>

#include "DataTreeBuilderBase.h"


namespace armarx::armem::gui::instance
{

    class DataTreeBuilder : public DataTreeBuilderBase
    {
    public:

        DataTreeBuilder();

        void updateTree(QTreeWidgetItem* parent, const aron::datanavigator::DictNavigatorPtr& data);
        void updateTree(QTreeWidgetItem* parent, const aron::datanavigator::ListNavigatorPtr& data);


    protected:

        void update(QTreeWidgetItem* item, const std::string& key, const aron::datanavigator::NavigatorPtr& data);

    };

}
